/*
 * thread.h
 *
 *  Created on: Apr 13, 2015
 *      Author: tkl
 */

#ifndef THREAD_H_
#define THREAD_H_

#define MAX_THREAD_COUNT	32

struct thread_list {
	unsigned int count;		//<! Number of elements in list
	struct thread_context *list[MAX_THREAD_COUNT];
};

void thread_init(void);
void thread_switch_context(void);
void blocking_read_wakeup(const void *src);

#endif /* THREAD_H_ */
